/*================================================================================================*
 * Команды и данные по протоколу TCP/IP (lip sockets)
 *================================================================================================*/

#ifndef TCPSERVER_H_
#define TCPSERVER_H_

#include "global.h"
#include "tcpserver_cmd.h"
#include "tcpserver_data.h"

/*================================================================================================*/
#define TCPSERVER_HANGUP_TIMEOUT_MS 200
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
/* Инициализация */
void tcpserver_init(void);
/*------------------------------------------------------------------------------------------------*/
/* Остановка */
void tcpserver_hangup(void);
/*------------------------------------------------------------------------------------------------*/
/* Фоновая функция */
void tcpserver_worker(void);
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
#endif /* TCPSERVER_H_ */
